SDL_RenameStoragePath(3)

NAME
SDL_RenameStoragePath - Rename a file or directory in a writable storage container.

HEADER FILE
Defined in SDL3/SDL_storage.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RenameStoragePath(SDL_Storage *storage, const char *oldpath, const char *newpath);

FUNCTION PARAMETERS

storage
    a storage container.

oldpath
    the old path.

newpath
    the new path.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_StorageReady(3)